Bug 472566 - Use mkinitrd defaults if no arguments given
Use mkinitrd defaults if no arguments given
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-21 14:28 EST by Brad Hinson
Modified: 2009-02-17 07:47 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-17 07:47:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Use defaults if mkinitrd is run with no args (1.10 KB, patch)
2008-11-21 14:28 EST, Brad Hinson
no flags Details | Diff

  None (edit)
Description Brad Hinson 2008-11-21 14:28:35 EST
Created attachment 324336 [details]
Use defaults if mkinitrd is run with no args

Description of problem:
Most of the time mkinitrd is run manually, it's in the form:
# mkinitrd /boot/initrd-$(uname -r).img  $(uname -r)

With the attached patch, mkinitrd uses these values by default when run with no arguments.  It provides a confirmation prompt, unless run as 'mkinitrd -f'.  This is so that no action is taken for users who are accustomed to running 'mkinitrd' with no args to see the usage.  'mkinitrd --help' still shows usage.

Version-Release number of selected component (if applicable):
mkinitrd-6.0.52-2.fc9

  
Actual results:
(with patch):

# mkinitrd
Building default /boot/initrd-2.6.25-14.fc9.s390x.img for current kernel.
This file will be overwritten.
Proceed? [y/N]: 
No changes made. Exiting.

# mkinitrd
Building default /boot/initrd-2.6.25-14.fc9.s390x.img for current kernel.
This file will be overwritten.
Proceed? [y/N]: 6
Enter 'y' or 'n'. Exiting.

# ls -l /boot/initrd-$(uname -r).img
-rw------- 1 root root 3677384 2008-11-21 13:41 /boot/initrd-2.6.25-14.fc9.s390x.img
# date
Fri Nov 21 14:24:17 EST 2008
# mkinitrd
Building default /boot/initrd-2.6.25-14.fc9.s390x.img for current kernel.
This file will be overwritten.
Proceed? [y/N]: y
# ls -l /boot/initrd-$(uname -r).img
-rw------- 1 root root 3677402 2008-11-21 14:24 /boot/initrd-2.6.25-14.fc9.s390x.img

# mkinitrd -f
# ls -l /boot/initrd-$(uname -r).img
-rw------- 1 root root 3677398 2008-11-21 14:25 /boot/initrd-2.6.25-14.fc9.s390x.img
Comment 1 Bug Zapper 2008-11-26 00:44:30 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Hans de Goede 2009-02-17 07:47:54 EST
(In reply to comment #0)
> Created an attachment (id=324336) [details]
> Use defaults if mkinitrd is run with no args
> 
> Description of problem:
> Most of the time mkinitrd is run manually, it's in the form:
> # mkinitrd /boot/initrd-$(uname -r).img  $(uname -r)
> 
> With the attached patch, mkinitrd uses these values by default when run with no
> arguments.

Actually most of the time one wants to regenerate an initrd either for a new kernel or for a non working kernel / initrd combi. Regenerating for the current kernel makes little sense, as apparently the existing initrd does its job.

Also as mkinitrd is planned to be replaced with something better (hopefully more flexible) in the future, we are not taking RFE's.

Closing.

Note You need to log in before you can comment on or make changes to this bug.